Exit if we can't write to jenkins home
diff --git a/jenkins.sh b/jenkins.sh
index 718572c..414ac07 100755
--- a/jenkins.sh
+++ b/jenkins.sh
@@ -23,7 +23,7 @@
 	fi;
 }
 export -f copy_reference_file
-touch "${COPY_REFERENCE_FILE_LOG}" || echo "Can not write to ${COPY_REFERENCE_FILE_LOG}. Wrong volume permissions?"
+touch "${COPY_REFERENCE_FILE_LOG}" || (echo "Can not write to ${COPY_REFERENCE_FILE_LOG}. Wrong volume permissions?" && exit 1)
 echo "--- Copying files at $(date)" >> "$COPY_REFERENCE_FILE_LOG"
 find /usr/share/jenkins/ref/ -type f -exec bash -c "copy_reference_file '{}'" \;